------------------------------------------------------------------------------------
--Name:  	wuhui2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-03
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(170, 216)
local Player_1 = CppScriptMgr:AddSimplePlayer(1059340, 170, 213, "PrincessLaisai", 0, 0)
Player_1:SetDir(0)
local Player_2 = CppScriptMgr:AddPlayer(153, 170, 224, "Bandit", 0, 0)
Player_2:SetDir(4)
local Player_3 = CppScriptMgr:AddPlayer(187, 166, 220, "Witch", 0, 0)
Player_3:SetDir(5)
Player_3:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(490)
Player_2:SetAction(401)
Player_2:Say("She is the princess!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(101)
Player_2:Say("Capture her, and we`ll have endless wealth and glory!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("Come with us, little princess!", 1500)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Don`t come any closer!", 1000)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 169, 217, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_4 = CppScriptMgr:AddSimplePlayer(1059350, 169, 217, "Leonhardt", 0, 0)
CppScriptMgr:WaitMilSec(500)
Player_4:Say("Don`t harm the princess!", 1000)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(980)
Player_3:Say("Annoying pest!", 1500)
Player_3:SetAction(401)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(1050)
Player_4:SetActType(330)
local Effect_1 = CppScriptMgr:AddEffect("TSM_YZ_YXAOE", 169, 217, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1410)
Player_1:Say("No!!!", 1000)
Player_1:RunTo(170, 216)
CppScriptMgr:WaitMilSec(540)
Player_1:SetAction(220)
CppScriptMgr:WaitMilSec(490)